Bug 1256772 - NetworkManager quits prematurely with "configure-and-quit"
Summary: NetworkManager quits prematurely with "configure-and-quit"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jirka Klimes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-25 12:30 UTC by Jirka Klimes
Modified: 2016-01-04 06:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:03:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Jirka Klimes 2015-08-25 12:30:50 UTC
NetworkManager quits prematurely when configure-and-quit=yes is in a configuration file. That results in not configuring devices.

Spotted in QE test NetworkManager_Test37_run_once_new_connection.

Comment 1 Jirka Klimes 2015-08-25 12:34:35 UTC
check_if_startup_complete() can be invoked by nm_settings_start() before devices was added and "startup complete" is declared too early.

The fix is available in upstream branch jk/configure-and-quit-fix.

Comment 2 Lubomir Rintel 2015-08-25 15:49:02 UTC
+1

This looks good to me.

Comment 3 Jirka Klimes 2015-08-26 08:02:31 UTC
Committed upstream:
master: 7edb53f core: don't set "startup complete" until devices have been added (rh #1256772)
nm-1-0: 98a5602 core: don't set "startup complete" until devices have been added (rh #1256772)

Comment 5 Vladimir Benes 2015-09-07 08:08:25 UTC
Both ipv4 and ipv6 addresses are configured and NM is not running. This is working correctly but bug 1260243.

Comment 6 errata-xmlrpc 2015-11-19 11:03:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.